
#### Scripts
##### New: MapPattern
- This transformer will take in a value and transform it based on multiple condition expressions (wildcard, regex, etc) defined in a JSON dictionary structure. The key:value pair of the JSON dictionary should be:

"condition expression": "desired outcome"

For example:

{
    ".*match 1.*": "Dest Val1",
    ".*match 2.*": "Dest Val2",
    ".*match 3(.*)": "\\1",
    "*match 4*": {
        "algorithm": "wildcard",
        "output": "Dest Val4"
    }
}

The transformer will return the value matched to a pattern following to the priority.
When unmatched or the input value is structured (dict or list), it will simply return the input value. (Available from Cortex XSOAR 6.5.0).
##### New: AppendIfNotEmpty
- Append item(s) to the end of the list if they are not empty. (Available from Cortex XSOAR 6.0.0).
##### New: RegexExpand
- Extract the strings matched to the patterns by doing backslash substitution on the template string.
This transformer allow to input multiple regex patterns and multiple match targets, and those can be given in the input value and the argument parameters. (Available from Cortex XSOAR 6.5.0).
##### StringifyArray
- Return the string encoded with JSON from the whole array
##### RemoveEmpty
- Remove empty items, entries or nodes from the array.
##### New: RegexReplace
- Format patterns matched with regex. If the regex does not match any pattern, the original value is returned.

Example 1:
 value: user=john
 regex: user=(.*)
 output_format: name=\1
 -> output value: name=john

Example 2:
 value: xxx=yyy
 regex: user=(.*)
 output_format: name=\1
 -> output value: xxx=yyy (Available from Cortex XSOAR 6.5.0).
##### New: ParseHTMLTables
- Find tables inside HTML and extract the contents into objects using the following logic:

- If table has 2 columns and has no header row, treat the first column as key and second as value and create a table of key/value
- If table has a header row, create a table of objects where attribute names are the headers
- If table does not have a header row, create table of objects where attribute names are cell1, cell2, cell3... (Available from Cortex XSOAR 6.5.0).
##### New: MergeDictArray
- Each entry in an array is merged into the existing array if the keyed-value matches. (Available from Cortex XSOAR 6.0.0).
