
#### Playbooks

##### New: Get User Devices by Email Address - Generic

This playbook retrieves information on all of the associated user devices, based on the user email.
In order to get a generic output, the following information on all of the retrieved devices will be saved under the `UserDevices` context key:
- Name
- Serial Number
- ID
- Model
- MAC Address
- OS
- Integration

Note that not all of the supported integrations will be able to retrieve this information.

Supported integrations:
- jamf v2
- Google Workspace (Gsuite)
- ServiceNow v2
- Active Directory Query v2
- Microsoft Graph API (In order to get devices details, provide the permissions as mentioned here: https://learn.microsoft.com/en-us/graph/api/user-list-owneddevices?view=graph-rest-1.0&tabs=http ) (Available from Cortex XSOAR 6.8.0).
##### New: Get User Devices - Generic

This playbook retrieves information on all of the associated user devices.
In order to get a generic output, the following information on all of the retrieved devices will be saved under the `UserDevices` context key:
- Name
- Serial Number
- ID
- Model
- MAC Address
- OS
- Integration

Note that not all of the supported integrations will be able to retrieve this information.

In order to get the full list of supported integrations, read the following sub-playbooks descriptions:
- Get User Devices by Username - Generic
- Get User Devices by Email Address - Generic (Available from Cortex XSOAR 6.8.0).
##### New: Get User Devices by Username - Generic

This playbook retrieves information on all of the associated user devices, based on the user's username.
In order to get a generic output, the following information on all of the retrieved devices will be saved under the `UserDevices` context key:
- Name
- Serial Number
- ID
- Model
- MAC Address
- OS
- Integration

Note that not all of the supported integrations will be able to retrieve this information.

Supported integrations:
- jamf v2
- Microsoft Defender for Endpoint
- Cortex XDR IR
- ServiceNow v2
- Google Workspace (Gsuite)
- Active Directory Query v2
 (Available from Cortex XSOAR 6.8.0).
