
#### Incident Types
- **Cortex XDR - XCLOUD Cryptomining**

#### Layouts
##### New: Cortex XDR - XCLOUD Cryptomining
- A new layout for XCLOUD Cryptomining incident type. (Available from Cortex XSOAR 6.5.0).

#### Playbooks
##### New: Cortex XDR - Cloud Cryptomining
- Investigates a Cortex XDR incident containing a Cloud Cryptomining related alert. 
The playbook supports AWS, Azure, and GCP and executes the following:

- Cloud enrichment:
   - Collects info about the involved resources
   - Collects info about the involved identities
   - Collects info about the involved IPs
- Verdict decision tree
- Verdict handling:
   - Handle False Positives
   - Handle True Positives
      - Cloud Response - Generic sub-playbook.
- Notifies the SOC if a malicious verdict was found (Available from Cortex XSOAR 6.5.0).
##### New: Cortex XDR - Cloud Enrichment
- This playbook is responsible for collecting data from Cortex XDR detector and enriching data for further usage and building the layout.

The playbook collects or enriches the following data:
- Resource enrichment
   - Previous activity seen in the specified region or project
- Account enrichment
- Network enrichment
   - Attacker IP
   - Geolocation
   - ASN (Available from Cortex XSOAR 6.5.0).
##### Cortex XDR incident handling v3
- Added an option to exit the investigation after the Alerts Handling playbook is done.
##### New: Cortex XDR - Cryptomining - Set Verdict
- This playbook sets the alert's verdict as malicious if one of the following conditions is true:
1. If the source IP address is malicious
2. If the incident includes both "Unusual allocation of multiple cloud compute resources" AND "Cloud identity reached a throttling API rate" (medium/high severity)
3. If the incident includes both "Unusual allocation of multiple cloud compute resources" AND "Suspicious heavy allocation of compute resources - possible mining activity" 
4. If the incident includes "Unusual allocation of multiple cloud compute resources" with medium/high severity, the source ASN isn't known, and the source IP isn't known as well.
5. If the incident includes both "Unusual allocation of multiple cloud compute resources" AND "A cloud compute instance was created in a dormant region"

If none of the conditions is true, the playbook will wait for an analyst's decision. (Available from Cortex XSOAR 6.5.0).
##### Cortex XDR Alerts Handling
- Added handling for cloud cryptomining alerts.

#### Scripts
##### New: EntryWidgetNumberResourcesXCLOUD
- Entry widget that returns the number of resources in a Cortex XDR incident. (Available from Cortex XSOAR 6.5.0).
##### New: EntryWidgetNumberRegionsXCLOUD
- Entry widget that returns the number of regions in a Cortex XDR incident. (Available from Cortex XSOAR 6.5.0).
##### New: XCloudRegionsPieWidget
- XCLOUD dynamic section, showing the top ten regions types in a pie chart. (Available from Cortex XSOAR 6.5.0).
##### New: XCloudResourcesPieWidget
- XCLOUD dynamic section, showing the top ten resource types in a pie chart. (Available from Cortex XSOAR 6.5.0).
