
#### Incident Fields

- New: **XDR Risky User Count**
- New: **XDR Risky Hosts**
- New: **XDR Risky Host Count**
- New: **XDR Risky Users**

#### Layouts

##### Cortex XDR Incident

- Reorganized the Basic Information section.
- Added information to show how many users and hosts in the incident are considered risky by the new Cortex XDR ITDR module.
- Added a "Risky Assets" tab when a risky user or host is involved in the incident. The tab displays a table of all the risky users and hosts involved. Information displayed includes the asset ID, the associated risk level, and the factors contributing to the associated risk.

#### Playbooks

##### Cortex XDR incident handling v3

Added a new sub-playbook to display information about risky assets when such data is retrieved from the entity enrichment playbook.
##### New: Cortex XDR - Display Risky Assets

New: This playbooks displays risky users and risky hosts, as detected by Cortex XDR's ITDR module. The data is displayed in incident fields in Cortex XDR incidents. (Available from Cortex XSOAR 6.5.0).
##### New: Calculate Severity - Cortex XDR Risky Assets

New: Calculates a severity for the incident based on the involvement of risky users or risky hosts in the incident, as determined by the Cortex XDR ITDR module. (Available from Cortex XSOAR 6.5.0).
##### Cortex XDR - Possible External RDP Brute-Force - Set Verdict

Updated the playbook to take into account the involvement of risky assets when setting a verdict for the alert.
##### Cortex XDR - Possible External RDP Brute-Force

- Added new Cortex XDR ITDR capabilities. The playbook now enriches the endpoint and account involved in the alert with identity risk information from Cortex XDR. The new information enhances the decision making of the playbook and improves detection accuracy.
- Added new possible inputs for the "Critical Element" input. This lets the user decide whether the presence of a risky user or host should change the verdict of the alert to "malicious".  
##### Cortex XDR - First SSO Access

Added new Cortex XDR ITDR capabilities. The alert is now enriched with alert identity risk information from Cortex XDR. The new information enhances the decision making of the playbook and improves detection accuracy.
##### Cortex XDR - First SSO Access - Set Verdict

Updated the playbook to take into account the involvement of risky assets when setting a verdict for the alert.
